Assign and unassign users from attack discovery alerts
- Base URL
-
https://{kibana_url}
- POST /api/detection_engine/attacks/assignees
- POST /s/{space_id}/api/detection_engine/attacks/assignees
Refer to Spaces for more information.
Assign users to attack discovery alerts, and unassign them from alerts.
Optionally cascade the change to related detection alerts via kibana.alert.attack_discovery.alert_ids.
Note
You cannot add and remove the same assignee in the same request.
Request body
An object containing assignees to add or remove and attack ids the changes will be applied to
Responses
Successful response
Response Type: object
Invalid input data response
One of:
Unsuccessful authentication response